@import "~bootstrap/dist/css/bootstrap.css";

@font-face {
  font-family: 'Roboto';
  src: url('./assets/fonts/Roboto/Roboto-Regular.eot');
  src: url('./assets/fonts/Roboto/Roboto-Regular.eot?#iefix') format('embedded-opentype'),
      url('./assets/fonts/Roboto/Roboto-Regular.ttf#iefix') format('truetype');
  font-weight: normal;
  font-style: normal;
}

* {
  transition: all 0.15s ease-in-out;
}

h1, h2, h3, h4, p {
  cursor: default;
}
html {
  height: 100% !important;
  width: 100% !important;
}
body {
  height: 100% !important;
  width: 100% !important;
  background: url("./assets/images/bg_ayiblockchain.png") no-repeat center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  width: 100%;
  font-family: 'Roboto' !important;
}

@media (min-width: 668px) and (max-width: 900px) and (orientation: landscape) {
  body {
    background-size: 240%;
  }
}
@media (min-width: 568.1px) and (max-width: 667.98px) and (orientation: landscape) {
  body {
    background-size: 250%;
  }
}
@media (min-width: 480px) and (max-width: 568px) and (orientation: landscape) {
  body {
    background-size: 320%;
  }
}

/* STYLE DE INFO */

p.hash {
  font-weight:normal
}
.hidden {
  overflow:hidden
}
.title {
  font-size:24px
}
.gold:before {
  background-color:#ee8f13
}
.purple:before {
  background-color:#9c38e1
}
.blue:before {
  background-color:#159dfc
}
.green:before {
  background-color:#2db253
}
.grey:before {
  background-color:#777
}
span.green {
  color:#004eaa
}
.intro {
  padding:1px 0 40px;
  background-repeat:no-repeat;
  background-position:center center;
  background-size:cover !important;
  color:#fff;
  text-align:center
}
@media(min--moz-device-pixel-ratio:1.3),(-webkit-min-device-pixel-ratio:1.3),(min-device-pixel-ratio:1.3),(min-resolution:1.3dppx) {
  .intro {
      background-size:100% 100%
 }
}
.intro .timestamp-of {
  color:#3146B2;
  margin:20px 0;
  line-height:50px;
  font-size:28px
}
.intro .timestamp-of span {
  margin-left:10px;
  border:1px solid rgba(255,255,255,0.5);
  padding:0 15px;
  background-color:rgba(255,255,255,0.2);
  font-weight:bold
}
.intro .document-digest {
  color:#3146B2;
  margin-bottom:15px;
  font-size:14px
}
.intro .sha {
  color:#3146B2;
  margin-bottom:25px;
  font-size:16px;
  font-weight:bold
}
.table {
  display:table;
  width:100%;
  color:#333;
  font-size:14px
}
.container>.table {
  border-top:1px solid #e1e1e1
}
.table .table {
  box-sizing:border-box;
  padding-left:15px
}
.table-i {
  display:table;
  width:100%;
}
.table-name,.table-value {
  display:table-cell;
  vertical-align:middle;
  border-left:1px solid #e1e1e1;
  border-bottom:1px solid #e1e1e1;
  box-sizing:border-box;
  padding:14px 20px
}
.table-name {
  position:relative;
  word-break:break-all;
  width: 180px;
  min-width: 180px;
  overflow: auto;
}
.table-name:before {
  content:'';
  position:absolute;
  left:0;
  top:0;
  bottom:0;
  width:10px
}
.table-value {
  max-width:685px;
  border-right:1px solid #e1e1e1;
  overflow: auto;
}
.table-value_copy {
  position:relative;
  padding-right:50px
}
.table .badge {
  overflow:hidden;
  display:table;
}
.table .badge .step {
  display:table-cell;
  border-radius:0;
  margin:0;
  padding:0 5px;
  line-height:normal
}
.table .hash {
  display:table-cell;
  padding:5px 10px;
  word-break:break-all
}
.table .step {
  display:inline-block;
  margin-right:10px;
  border-radius:5px;
  padding:0 7px;
  background-color:#646464;
  line-height:24px;
  color:#fff
}
.table .copy {
  cursor:pointer;
  display:block;
  position:absolute;
  z-index:1;
  right:15px;
  top:50%;
  width:16px;
  height:16px;
  margin-top:-8px;
  margin-left:10px
}
.table a {
  color:#004eaa;
  text-decoration:none
}
.table a:hover {
  text-decoration:underline
}
.types {
  margin:30px 0
}
.types .container {
  overflow:hidden
}
.types-i {
  position:relative;
  float:left;
  width:20%;
  box-sizing:border-box;
  padding:0 10px 0 30px;
  color:#000;
  line-height:20px;
  font-size:14px
}
.types-i:before {
  content:'';
  position:absolute;
  left:0;
  top:0;
  width:20px;
  height:20px
}
